/**
 * $Id: ShiroRedisProperties.java,v 1.0 2019-01-23 14:30 chenmin Exp $
 * <p>
 */
package com.github.artislong.config;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

/**
 * @author 陈敏
 * @version $Id: ShiroRedisProperties.java,v 1.1 2019-01-23 14:30 chenmin Exp $
 * Created on 2019-01-23 14:30
 * My blog： https://www.chenmin.info
 */
@Slf4j
@Data
@ConfigurationProperties(prefix = "security.shiro.redis")
public class ShiroRedisProperties {
    private boolean enabled;
    private String host;
    private int port;
    private int timeout;
    private int soTimeout;
    private int maxAttempts;
    private String password;
    private int database;
    private Pool pool;
    private Cluster cluster;
    private Sentinel sentinel;

    @Data
    public static class Pool {
        private int maxIdle = 8;
        private int minIdle = 0;
        private int maxActive = 8;
        private int maxWait = -1;
    }

    @Data
    public static class Sentinel {
        private String master;
        private String nodes;
    }

    @Data
    public static class Cluster {
        private List<String> nodes;
    }
}